package com.ruoyi.robot.mapper;

import com.ruoyi.robot.domain.LdMapProject;
import com.ruoyi.robot.domain.vo.LdMapListVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 地图工程Mapper接口
 */
public interface LdMapProjectMapper{

    /**
     * 查询所有可用的地图列表（名称和状态）
     */
    List<LdMapListVo> selectMapListVo();

    /**
     * 根据设备ID查询当前使用的地图
     */
    LdMapProject selectCurrentMapByDeviceId(@Param("deviceId") String deviceId);

    /**
     * 根据地图名称查询
     */
    LdMapProject selectByMapName(@Param("mapName") String mapName);

    int updateById(LdMapProject map);

    /**
     * 新增地图工程
     *
     * @param ldMapProject 地图工程
     * @return 结果
     */
    public int insertLdMapProject(LdMapProject ldMapProject);

    /**
     * 修改地图工程
     *
     * @param ldMapProject 地图工程
     * @return 结果
     */
    public int updateLdMapProject(LdMapProject ldMapProject);
}
